import request from '@/utils/request'

// 分页查询产品信息列表
export function pageListInfo(query) {
  return request({
    url: '/product/info/pageList',
    method: 'get',
    params: query
  })
}

// 查询产品信息列表
export function listInfo(query) {
  return request({
    url: '/product/info/list',
    method: 'get',
    params: query
  })
}

// 根据userId查询产品信息列表
export function listByUserId(query) {
  return request({
    url: '/product/info/listByUserId',
    method: 'get',
    params: query
  })
}
// 根据userId查询推荐产品信息列表
export function listByRecommend(query) {
  return request({
    url: '/product/info/listByRecommend',
    method: 'get',
    params: query
  })
}

// 根据代理商经纪id查询产品信息列表
export function listByBroker(query) {
  return request({
    url: '/product/info/listByBroker',
    method: 'get',
    params: query
  })
}

// 查询产品信息详细
export function getInfo(id) {
  return request({
    url: '/product/info/' + id,
    method: 'get'
  })
}

// 查询产品信息详细
export function getBrokerNum(id) {
  return request({
    url: '/product/info/getBrokerNum/' + id,
    method: 'get'
  })
}

// 新增产品信息
export function addInfo(data) {
  return request({
    url: '/product/info',
    method: 'post',
    data: data
  })
}

// 修改产品信息
export function updateInfo(data) {
  return request({
    url: '/product/info',
    method: 'put',
    data: data
  })
}

// 修改产品状态
export function changeStatus(data) {
  return request({
    url: '/product/info/changeStatus',
    method: 'put',
    data: data
  })
}

// 修改产品信息
export function editByBroker(data) {
  return request({
    url: '/product/info/editByBroker',
    method: 'put',
    data: data
  })
}

// 修改产品信息
export function editByBrokers(data) {
  return request({
    url: '/product/info/editByBrokers',
    method: 'put',
    data: data
  })
}

// 删除产品信息
export function delInfo(id) {
  return request({
    url: '/product/info/' + id,
    method: 'delete'
  })
}

// // 移除代理产品权限
// export function delInfoByBroker(id) {
//   return request({
//     url: '/product/info/removeByBroker/' + id,
//     method: 'delete'
//   })
// }

// 修改产品信息
// export function delInfoByBroker(data) {
//   return request({
//     url: '/product/info/removeByBroker',
//     method: 'put',
//     data: data
//   })
// }

// 根据代理商经纪id查询产品信息列表
export function delInfoByBroker(data) {
  return request({
    url: '/product/info/removeByBroker',
    method: 'put',
    data: data
  })
}

// 根据代理商获取产品信息详细信息
export function getInfoByBroker(data) {
  return request({
    url: '/product/info/getInfoByBroker',
    method: 'put',
    data: data
  })
}



// 导出产品信息
export function exportInfo(query) {
  return request({
    url: '/product/info/' + 'export',
    method: 'post',
    params: query
  })
}
